export declare namespace SetUtils {
    type ElementPresenceChecker = <Element extends Value, Value>(array: ReadonlyArray<Element>, value: Value) => boolean;
}
export declare namespace ObjectUtils {
    type KeyLister = <Object extends GenericObject, Key extends keyof Object>(object: Object) => ReadonlyArray<Key>;
    type ValLister = <Object extends GenericObject, Key extends keyof Object>(object: Object) => ReadonlyArray<Object[Key]>;
    interface GenericObject {
        [key: string]: any;
    }
}
